#==================================================================================

function path_relative () {

#==================================================================================

    local self=$1
    local root=$2
    echo ${self#${root}}

    }

#==================================================================================

function path_real() {

#==================================================================================

    realpath $1

}
#==================================================================================

function path_file() {

#==================================================================================

    basename $1

}
#==================================================================================

function path_parent() {

#==================================================================================

    dirname $1

}
#==================================================================================

function path_extention() {

#==================================================================================
#
#  set dirname of the path in a environment variable
#
#==================================================================================

    local filename="$1"
    echo ${filename##*.}

}
#==================================================================================

function path_name() {

#==================================================================================

        local filename=$(basename "$1")
        local filename="${filename%.*}"
        echo $filename

}
#==================================================================================




